com.microfocus.awm.meta.modelextension

## Class ToolTypeOutputParameter

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes
    - - com.microfocus.awm.meta.modelextension.ToolTypeParameter
      - - com.microfocus.awm.meta.modelextension.ToolTypeOutputParameter

- All Implemented Interfaces:
    IModelExtensionWithAttributes, IModelExtensionWithEnabledCondition

      public class ToolTypeOutputParameter
      extends ToolTypeParameter

  Predefined output parameter for a tool type extension.
  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolTypeOutputParameter(java.lang.String pID, java.lang.String pLabel, ToolTypeExtension pParentToolTypeExtension, FunctionPackageExtension pFp, EParameterTypes pType, int pSequenceNumber, EModelExtensionCardinality pCardinality, boolean pIsMassProcessing)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ToolTypeParameter

      `getCardinality, getEnabledCondition, getSequenceNumber, getTargetReference, getToolTypeExtension, getType, isMassProcessing, setEnabledCondition, setTargetReference`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes

      `getAllAttributes, getAllSimpleAttribues, getAttributes, getComplexAttributeReferences, getComplexAttributes, getReferenceAttributes`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolTypeOutputParameter

          public ToolTypeOutputParameter(java.lang.String pID,
                                         java.lang.String pLabel,
                                         ToolTypeExtension pParentToolTypeExtension,
                                         FunctionPackageExtension pFp,
                                         EParameterTypes pType,
                                         int pSequenceNumber,
                                         EModelExtensionCardinality pCardinality,
                                         boolean pIsMassProcessing)

      Basic constructor.
      Parameters:
        `pID` - the parameter ID
        `pLabel` - the parameter label
        `pParentToolTypeExtension` - the `ToolTypeExtension` of the parent tool descriptor
        `pFp` - the function package extension
        `pType` - the parameter type
        `pSequenceNumber` - the sequence number
        `pCardinality` - the cardinality of the parameter
        `pIsMassProcessing` - the mass processing attribute of the parameter

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ModelExtensionObject`

Copyright © 2015 Micro Focus GmbH. All rights reserved.